Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.injectors
Class Log4JInjector

    java.lang.Object
      org.picocontainer.injectors.FactoryInjector<org.apache.log4j.Logger>
          org.picocontainer.gems.injectors.Log4JInjector

All Implemented Interfaces:
  org.picocontainer.ComponentAdapter<org.apache.log4j.Logger>, org.picocontainer.Injector<org.apache.log4j.Logger>

    public class Log4JInjector

extends org.picocontainer.injectors.FactoryInjector<org.apache.log4j.Logger>

This will Inject a Log4J Logger for the injectee's class name

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.injectors.FactoryInjector
`org.picocontainer.injectors.FactoryInjector.CantWorkItOut`

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`org.picocontainer.ComponentAdapter.NOTHING`

Constructor Summary
`Log4JInjector()`

Method Summary
`org.apache.log4j.Logger` | `getComponentInstance(org.picocontainer.PicoContainer container, Type into)`

Methods inherited from class org.picocontainer.injectors.FactoryInjector
`accept, componentHasLifecycle, decorateComponentInstance, dispose, findAdapterOfType, getClass, getComponentImplementation, getComponentInstance, getComponentKey, getDelegate, getDescriptor, getTypeArguments, start, stop, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4JInjector

    public Log4JInjector()

Method Detail

### getComponentInstance

    public org.apache.log4j.Logger getComponentInstance(org.picocontainer.PicoContainer container,
                                                        Type into)
                                                 throws org.picocontainer.PicoCompositionException

  Specified by:
    `getComponentInstance` in interface `org.picocontainer.ComponentAdapter<org.apache.log4j.Logger>`
  Specified by:
    `getComponentInstance` in class `org.picocontainer.injectors.FactoryInjector<org.apache.log4j.Logger>`
  Throws:
    `org.picocontainer.PicoCompositionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.